Skip to main content

Organization Findings Backup

Qwiet preZero offers a nightly backup feature for findings. Backups are kept for up to 30 days.

Enable backups/exports in Organization Settings

note

An option to enable or disable daily backups through Qwiet AI by Harness via UI is now available.

Use the /orgs/{orgID}/configuration API endpoint to obtain the current Organization configuration. For example:

curl --location 'https://app.shiftleft.io/api/v4/orgs/{orgID}/configuration' \
--header 'Authorization: Bearer {accessToken}'

Set the value of field enabled within the data_export_configuration object to true:

{
"data_export_configuration": {
"enabled": true
}
}
warning

The PUT method performs a full replacement of the endpoint's configuration. You must first perform a GET request to retrieve the current configuration, modify the specific values you intend to change, and then send the complete, updated payload back with your PUT request. Any fields omitted in the PUT request will be reset to their default values.

Do a PUT on the /orgs/{orgID}/configuration API endpoint to update the configuration. For example:

curl --location --request PUT 'https://app.shiftleft.io/api/v4/orgs/{orgID}/configuration' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {accessToken}' \
--data '{
...
"data_export_configuration": {
"enabled": true
}
}'

Backups will be automatically generated every night. Backups are kept for up to 30 days.

List available backups

You can list all available backups using the /orgs/{orgID}/backup API endpoint. For example:

curl --location 'https://app.shiftleft.io/api/v4/orgs/{orgID}/backup' \
--header 'Authorization: Bearer {accessToken}'

Response sample:

{
"ok": true,
"response": [
{
"organization_id": "5a4b869b-a90e-425e-a395-a2f85fffcea6",
"backup_id": "fe641a63-24c6-49bb-afb6-a3fad6083d34",
"status": "completed",
"created_at": "2025-10-23T16:56:16.059749Z"
}
]
}

Download a backup

You can download any of the available backups by using API endpoint /orgs/{orgID}/backup/download?backup_id={backupID} and a backup ID from the backups list. For example:

curl --location 'https://app.shiftleft.io/api/v4/orgs/{orgID}/backup/download?backup_id=fe641a63-24c6-49bb-afb6-a3fad6083d34' \
--header 'Authorization: Bearer {accessToken}'